pkginstall(1)

NAME
pkginstall - install a Ch package from the current directory

SYNTAX
ch pkginstall.ch [-u] [-d directory] package

DESCRIPTION
pkginstall installs a package in the current directory into the Ch Package directory CHHOME/package and copies required header files in package/include into the CHHOME/toolkit/include directory. If the package is not installed in the Ch package directory, instead, in a directory specificied in the command line, it will modify _ipath and _ppath in .chrc in Unix or _chrc in Windows in the user home directory. During installation, an installation file is created under the CHHOME/package/installed directory with a list of the installed directories and files. This program can also unistall a Ch Package by removing header files installed into the CHHOME/toolkit/include directory and the package in the CHHOME/package directory based on the corresponding package file in CHHOME/package/installed directory.

OPTIONS

-u  uninstall a Ch Package

-d directory
    directory to install this package

EXAMPLE
  pkginstall.ch chpng
  pkginstall.ch -u chpng

SEE ALSO
 pkgcreate.ch in the distributed package.

AUTHOR
info(@)softintegration.com